<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>Member List (CEL: Crystal Entity Layer 2.0 Public API Reference)</title>
<link href="tabs.css" rel="stylesheet" type="text/css">
<link href="doxygen.css" rel="stylesheet" type="text/css">
</head><body>
<table border="0" cellpadding="0" cellspacing="0" width="100%" class="head">
 <tr height="59">
  <td class="head" width="202" valign="bottom" style="padding-left:0;"><a href="http://cel.crystalspace3d.org/"><img src="celblur.png" width="210" height="59" alt="CEL" border="0"></a></td>
  <td class="head"><h2>Public API Reference</h2></td>
 </tr>
 <tr height="11">
  <td colspan="2" class="headshadow" valign="top" style="padding-left:0;"><img src="celshadow.png" width="9" height="11" alt="" border="0"></td>
 </tr>
</table>
<div class="content">
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="headertitle">
<div class="title">iCelPlLayer Member List</div>  </div>
</div><!--header-->
<div class="contents">
This is the complete list of members for <a class="el" href="structiCelPlLayer.html">iCelPlLayer</a>, including all inherited members.<table>
  <tr class="memlist"><td><a class="el" href="structiCelPlLayer.html#a040f187dbcebea19c47ec90477d385cc">AddEntityRemoveCallback</a>(iCelEntityRemoveCallback *clback)=0</td><td><a class="el" href="structiCelPlLayer.html">iCelPlLayer</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiCelPlLayer.html#af124c829891d263e28e2b1f3480f3e93">AddNewEntityCallback</a>(iCelNewEntityCallback *clback)=0</td><td><a class="el" href="structiCelPlLayer.html">iCelPlLayer</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html#a5d0ec17cc4948f7bdcf668fcb52b9eb1">AddRefOwner</a>(void **ref_owner)=0</td><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html">iBase</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiCelPlLayer.html#a1b3ede99908786ef0f6c4c0092b44907">AddScope</a>(csString version, int size)=0</td><td><a class="el" href="structiCelPlLayer.html">iCelPlLayer</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiCelPlLayer.html#a9ffff853a142b640db3b0e7521534a38">AttachEntity</a>(iObject *object, iCelEntity *entity)=0</td><td><a class="el" href="structiCelPlLayer.html">iCelPlLayer</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiCelPlLayer.html#a55e34d6c37d9e47383089a0d6388da0c">Cache</a>(iBase *object)=0</td><td><a class="el" href="structiCelPlLayer.html">iCelPlLayer</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiCelPlLayer.html#a39dfdf2310553577c344ee9855e79568">CallbackEveryFrame</a>(iCelTimerListener *listener, int where)=0</td><td><a class="el" href="structiCelPlLayer.html">iCelPlLayer</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiCelPlLayer.html#abce10f3516458623c47eb0688855318c">CallbackOnce</a>(iCelTimerListener *listener, csTicks delta, int where)=0</td><td><a class="el" href="structiCelPlLayer.html">iCelPlLayer</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiCelPlLayer.html#a38d9d1f6232c6de2e03606c3eb506373">CleanCache</a>()=0</td><td><a class="el" href="structiCelPlLayer.html">iCelPlLayer</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiCelPlLayer.html#a998ebd26adc1ae8623a7f85248329133">CreateDataBuffer</a>(long serialnr)=0</td><td><a class="el" href="structiCelPlLayer.html">iCelPlLayer</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiCelPlLayer.html#afcbc3c2ab071a8177a235dcbca73bd9d">CreateEmptyEntityList</a>()=0</td><td><a class="el" href="structiCelPlLayer.html">iCelPlLayer</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiCelPlLayer.html#ae45f263656dcaa3b54d110df9a3ead31">CreateEntity</a>()=0</td><td><a class="el" href="structiCelPlLayer.html">iCelPlLayer</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiCelPlLayer.html#a793245ed93fae360fa568b4a85d19afd">CreateEntity</a>(uint id)=0</td><td><a class="el" href="structiCelPlLayer.html">iCelPlLayer</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiCelPlLayer.html#a00c35635aa52f44171ba69ae711fa615">CreateEntity</a>(const char *entname, iCelBlLayer *bl, const char *bhname,...)=0</td><td><a class="el" href="structiCelPlLayer.html">iCelPlLayer</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiCelPlLayer.html#a2531016dcaa8eb64ee592842266d4e6b">CreateEntity</a>(iCelEntityTemplate *factory, const char *name, const celEntityTemplateParams &amp;params)=0</td><td><a class="el" href="structiCelPlLayer.html">iCelPlLayer</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiCelPlLayer.html#ad7303ad91e99d4f76b34831630601068">CreateEntity</a>(iCelEntityTemplate *factory, const char *name,...)=0</td><td><a class="el" href="structiCelPlLayer.html">iCelPlLayer</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiCelPlLayer.html#ad3736d26f1097e257df3009f93a09736">CreateEntityInScope</a>(int scope)=0</td><td><a class="el" href="structiCelPlLayer.html">iCelPlLayer</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiCelPlLayer.html#a568903352efa88aa88f7a7b7c5c1c0ad">CreateEntityTemplate</a>(const char *factname)=0</td><td><a class="el" href="structiCelPlLayer.html">iCelPlLayer</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiCelPlLayer.html#aae30a227a251adf27ba737b7f7758870">CreateEntityTracker</a>(const char *name)=0</td><td><a class="el" href="structiCelPlLayer.html">iCelPlLayer</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiCelPlLayer.html#a62d655dc1f582ac577922698db69e802">CreatePropertyClass</a>(iCelEntity *entity, const char *propname, const char *tagname=0)=0</td><td><a class="el" href="structiCelPlLayer.html">iCelPlLayer</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiCelPlLayer.html#a768d535c03af199459811942e5afbda2">CreateTaggedPropertyClass</a>(iCelEntity *entity, const char *propname, const char *tagname)=0</td><td><a class="el" href="structiCelPlLayer.html">iCelPlLayer</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html#a3a44d46ca155e6ab0c0179db01011bb0">DecRef</a>()=0</td><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html">iBase</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiCelPlLayer.html#a86de924639a29dac8eb9718f3dfe3d5e">FetchString</a>(csStringID id)=0</td><td><a class="el" href="structiCelPlLayer.html">iCelPlLayer</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiCelPlLayer.html#a15665b412868c19a954f99557993d2e5">FetchStringID</a>(const char *str)=0</td><td><a class="el" href="structiCelPlLayer.html">iCelPlLayer</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiCelPlLayer.html#a93deea269a499dae1038e96f6fe094ca">FindAttachedEntity</a>(iObject *object)=0</td><td><a class="el" href="structiCelPlLayer.html">iCelPlLayer</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiCelPlLayer.html#aa37b222e835d9dbb119b3d7d02f2a7f8">FindBehaviourLayer</a>(const char *name) const =0</td><td><a class="el" href="structiCelPlLayer.html">iCelPlLayer</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiCelPlLayer.html#a07ff2123e186ac0e96b75c0bd7892a22">FindEntity</a>(const char *name)=0</td><td><a class="el" href="structiCelPlLayer.html">iCelPlLayer</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiCelPlLayer.html#a968aaaa92a298018b491bd0570ce7466">FindEntityTemplate</a>(const char *factname)=0</td><td><a class="el" href="structiCelPlLayer.html">iCelPlLayer</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiCelPlLayer.html#a1b643503028bbff6a8f6f85e36572656">FindEntityTracker</a>(const char *name)=0</td><td><a class="el" href="structiCelPlLayer.html">iCelPlLayer</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiCelPlLayer.html#a185a557ddaa0855d7861357dc7676986">FindNearbyEntities</a>(iSector *sector, const csVector3 &amp;pos, float radius, bool do_invisible=false, csStringID cls=csInvalidStringID)=0</td><td><a class="el" href="structiCelPlLayer.html">iCelPlLayer</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiCelPlLayer.html#a3920b2d3d18d687701ef3f53ed47b675">FindNearbyEntities</a>(iSector *sector, const csBox3 &amp;box, bool do_invisible=false, csStringID cls=csInvalidStringID)=0</td><td><a class="el" href="structiCelPlLayer.html">iCelPlLayer</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiCelPlLayer.html#a4cbddf5c0f775f0edc756ac08a3bdcbc">FindNearbyEntities</a>(iSector *sector, const csVector3 &amp;start, const csVector3 &amp;end, bool do_invisible=false, csStringID cls=csInvalidStringID)=0</td><td><a class="el" href="structiCelPlLayer.html">iCelPlLayer</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiCelPlLayer.html#ace043764d8d16e99f9399588b083a885">FindPropertyClassFactory</a>(const char *name) const =0</td><td><a class="el" href="structiCelPlLayer.html">iCelPlLayer</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiCelPlLayer.html#aaeca89fd29eaa6c3d753b491ce3e0e71">GetBehaviour</a>(uint id)=0</td><td><a class="el" href="structiCelPlLayer.html">iCelPlLayer</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiCelPlLayer.html#a9448524a1d62e5ccaa7c3cac4a44bccb">GetBehaviourLayer</a>(size_t idx) const =0</td><td><a class="el" href="structiCelPlLayer.html">iCelPlLayer</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiCelPlLayer.html#a8dcb33a1921ecc5e34df2ab77c3d49d4">GetBehaviourLayerCount</a>() const =0</td><td><a class="el" href="structiCelPlLayer.html">iCelPlLayer</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiCelPlLayer.html#aae3a77cc5816a9c9f01cb6f98bd8af35">GetEntity</a>(uint id)=0</td><td><a class="el" href="structiCelPlLayer.html">iCelPlLayer</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiCelPlLayer.html#a297cadd5972abaf0198de46ebd2bd4ec">GetEntityByIndex</a>(size_t idx) const =0</td><td><a class="el" href="structiCelPlLayer.html">iCelPlLayer</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiCelPlLayer.html#a9a7a8f7df3284399428593b3db26eba3">GetEntityCount</a>() const =0</td><td><a class="el" href="structiCelPlLayer.html">iCelPlLayer</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiCelPlLayer.html#a13b53ab77476d0fb0f6ffad908e872f3">GetEntityTemplate</a>(size_t idx) const =0</td><td><a class="el" href="structiCelPlLayer.html">iCelPlLayer</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiCelPlLayer.html#a09fb0df557f52cb0a53f47ac510f1c56">GetEntityTemplateCount</a>() const =0</td><td><a class="el" href="structiCelPlLayer.html">iCelPlLayer</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiCelPlLayer.html#a00cca50f1c79efbaebda3651cec0bbc9">GetHitEntity</a>(iCamera *camera, int x, int y)=0</td><td><a class="el" href="structiCelPlLayer.html">iCelPlLayer</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html#aeebf94ff535afffc22fcbfe869b70c30">GetInterfaceMetadata</a>()=0</td><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html">iBase</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiCelPlLayer.html#a97bdc3b314db6cd0361d787609c083d0">GetPropertyClassFactory</a>(size_t idx) const =0</td><td><a class="el" href="structiCelPlLayer.html">iCelPlLayer</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiCelPlLayer.html#a322721a063ea93d6c81370551d8ce787">GetPropertyClassFactoryCount</a>() const =0</td><td><a class="el" href="structiCelPlLayer.html">iCelPlLayer</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html#a74696c1b99c7161216ee26161944adfd">GetRefCount</a>()=0</td><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html">iBase</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html#a426a2763702fbbc33a213f849042284a">IncRef</a>()=0</td><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html">iBase</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiCelPlLayer.html#a65a55cb09b6ad5648e45bd5c604fc9a6">IsEntityAddonAllowed</a>() const =0</td><td><a class="el" href="structiCelPlLayer.html">iCelPlLayer</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiCelPlLayer.html#a14374ee40588f971496b63c53f5424d8">LoadPropertyClassFactory</a>(const char *plugin_id)=0</td><td><a class="el" href="structiCelPlLayer.html">iCelPlLayer</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html#a2adc74eb0286a65f2310f221be4ddded">QueryInterface</a>(scfInterfaceID iInterfaceID, int iVersion)=0</td><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html">iBase</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiCelPlLayer.html#afb561737d6d94ed479bd73dcc3bc802c">QueryMessageSender</a>()=0</td><td><a class="el" href="structiCelPlLayer.html">iCelPlLayer</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiCelPlLayer.html#ab2368f760d8b2df56a1f264510cb2e3a">RegisterBehaviourLayer</a>(iCelBlLayer *bl)=0</td><td><a class="el" href="structiCelPlLayer.html">iCelPlLayer</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiCelPlLayer.html#a1aee5e1d9af0c093af87add16968c48d">RegisterPropertyClassFactory</a>(iCelPropertyClassFactory *pf, const char *altname=0)=0</td><td><a class="el" href="structiCelPlLayer.html">iCelPlLayer</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiCelPlLayer.html#ac98955f35fbf2cebc19649b531782f8b">RemoveCallbackEveryFrame</a>(iCelTimerListener *listener, int where)=0</td><td><a class="el" href="structiCelPlLayer.html">iCelPlLayer</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiCelPlLayer.html#ab5d2563a790e49a0221bea631a7447cd">RemoveCallbackOnce</a>(iCelTimerListener *listener, int where)=0</td><td><a class="el" href="structiCelPlLayer.html">iCelPlLayer</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiCelPlLayer.html#aa41dcf525d3c1de01c33fea1080d1bb4">RemoveEntities</a>()=0</td><td><a class="el" href="structiCelPlLayer.html">iCelPlLayer</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiCelPlLayer.html#a8294af81e87ebf375501d9f1137a02f3">RemoveEntity</a>(iCelEntity *entity)=0</td><td><a class="el" href="structiCelPlLayer.html">iCelPlLayer</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiCelPlLayer.html#a834791980921e9d062be29509b745ee4">RemoveEntityRemoveCallback</a>(iCelEntityRemoveCallback *clback)=0</td><td><a class="el" href="structiCelPlLayer.html">iCelPlLayer</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiCelPlLayer.html#a03a3900a86fb01a889e88518efa7c3d5">RemoveEntityTemplate</a>(iCelEntityTemplate *entfact)=0</td><td><a class="el" href="structiCelPlLayer.html">iCelPlLayer</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiCelPlLayer.html#acebd3b3701d01c0f3e3c7a8fbfb3711d">RemoveEntityTemplates</a>()=0</td><td><a class="el" href="structiCelPlLayer.html">iCelPlLayer</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiCelPlLayer.html#a1948170e0e685980e8d018faf7ddaa9d">RemoveEntityTracker</a>(iCelEntityTracker *tracker)=0</td><td><a class="el" href="structiCelPlLayer.html">iCelPlLayer</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiCelPlLayer.html#ac2c9f29ced32388b512f985bcf96f272">RemoveNewEntityCallback</a>(iCelNewEntityCallback *clback)=0</td><td><a class="el" href="structiCelPlLayer.html">iCelPlLayer</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html#a0292fc77bd2b4f8ff5ff25e9540417e0">RemoveRefOwner</a>(void **ref_owner)=0</td><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html">iBase</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiCelPlLayer.html#a7ba29a05b7f81f15a2dc87fb06e6820e">SetEntityAddonAllowed</a>(bool allow)=0</td><td><a class="el" href="structiCelPlLayer.html">iCelPlLayer</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiCelPlLayer.html#a8c2087ff76a2a7444718fc57eaefbf22">UnattachEntity</a>(iObject *object, iCelEntity *entity)=0</td><td><a class="el" href="structiCelPlLayer.html">iCelPlLayer</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiCelPlLayer.html#a7c9c125ffa8ac122a662d35b22556fb5">Uncache</a>(iBase *object)=0</td><td><a class="el" href="structiCelPlLayer.html">iCelPlLayer</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiCelPlLayer.html#a4f57b041754c2b638511b73346b73efd">UnregisterBehaviourLayer</a>(iCelBlLayer *bl)=0</td><td><a class="el" href="structiCelPlLayer.html">iCelPlLayer</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiCelPlLayer.html#aeb1fe19c8a6604de73c1e5522ede5a9c">UnregisterPropertyClassFactory</a>(iCelPropertyClassFactory *pf)=0</td><td><a class="el" href="structiCelPlLayer.html">iCelPlLayer</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html#a64186fd7973d2ef0bc16013e302b6ea3">~iBase</a>()</td><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html">iBase</a></td><td><code> [protected, virtual]</code></td></tr>
</table></div><!-- contents -->
<hr size="1"><address><small>Generated for CEL: Crystal Entity Layer 2.0 by 
<a href="http://www.doxygen.org/index.html">doxygen</a> 1.7.6.1 
</small></address> </div></body> </html>
